Loading...
Searching...
No Matches
version.hpp File Reference

Provides SeqAn version macros and global variables. More...

`#include <cstddef>`
`#include <cstdint>`
Include dependency graph for version.hpp:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces

namespace | seqan3
| The main SeqAn3 namespace.

## Macros

#define | SEQAN3_RELEASE_CANDIDATE 0
| The release candidate number. 0 means stable release, >= 1 means release candidate.
#define | SEQAN3_RELEASE_CANDIDATE_HELPER(RC)
| A helper function that expands to a suitable release candidate suffix.
#define | SEQAN3_VERSION (SEQAN3_VERSION_MAJOR * 10000 + SEQAN3_VERSION_MINOR * 100 + SEQAN3_VERSION_PATCH)
| The full version as MACRO (number).
#define | SEQAN3_VERSION_CSTRING
| The full version as null terminated string.
#define | SEQAN3_VERSION_CSTRING_HELPER_FUNC(MAJOR, MINOR, PATCH)
| Converts version numbers to string.
#define | SEQAN3_VERSION_CSTRING_HELPER_STR(str)
| Converts a number to a string. Preprocessor needs this indirection to properly expand the values to strings.
#define | SEQAN3_VERSION_MAJOR 3
| The major version as MACRO.
#define | SEQAN3_VERSION_MINOR 4
| The minor version as MACRO.
#define | SEQAN3_VERSION_PATCH 0
| The patch version as MACRO.

## Variables

constexpr std::size_t | seqan3::seqan3_version = SEQAN3_VERSION
| The full version as std::size_t.
constexpr char const * | seqan3::seqan3_version_cstring = SEQAN3_VERSION_CSTRING
| The full version as null terminated string.
constexpr uint8_t | seqan3::seqan3_version_major = SEQAN3_VERSION_MAJOR
| The major version.
constexpr uint8_t | seqan3::seqan3_version_minor = SEQAN3_VERSION_MINOR
| The minor version.
constexpr uint8_t | seqan3::seqan3_version_patch = SEQAN3_VERSION_PATCH
| The patch version.

## Detailed Description

Provides SeqAn version macros and global variables.

Author
  Hannes Hauswedell <hannes.hauswedell AT fu-berlin.de>

## Macro Definition Documentation

## SEQAN3_RELEASE_CANDIDATE_HELPER

#define SEQAN3_RELEASE_CANDIDATE_HELPER | ( |  | RC | ) |

Value:
""

A helper function that expands to a suitable release candidate suffix.

## SEQAN3_VERSION_CSTRING

#define SEQAN3_VERSION_CSTRING

Value:
SEQAN3_VERSION_CSTRING_HELPER_FUNC(SEQAN3_VERSION_MAJOR, SEQAN3_VERSION_MINOR, SEQAN3_VERSION_PATCH) \
SEQAN3_RELEASE_CANDIDATE_HELPER(SEQAN3_RELEASE_CANDIDATE)
SEQAN3_VERSION_MAJOR
#define SEQAN3_VERSION_MAJOR
The major version as MACRO.
Definition version.hpp:16
SEQAN3_VERSION_CSTRING_HELPER_FUNC
#define SEQAN3_VERSION_CSTRING_HELPER_FUNC(MAJOR, MINOR, PATCH)
Converts version numbers to string.
Definition version.hpp:33
SEQAN3_VERSION_PATCH
#define SEQAN3_VERSION_PATCH
The patch version as MACRO.
Definition version.hpp:20
SEQAN3_RELEASE_CANDIDATE
#define SEQAN3_RELEASE_CANDIDATE
The release candidate number. 0 means stable release, >= 1 means release candidate.
Definition version.hpp:22
SEQAN3_VERSION_MINOR
#define SEQAN3_VERSION_MINOR
The minor version as MACRO.
Definition version.hpp:18

The full version as null terminated string.

## SEQAN3_VERSION_CSTRING_HELPER_FUNC

#define SEQAN3_VERSION_CSTRING_HELPER_FUNC | ( |  | MAJOR,
|  |  | MINOR,
|  |  | PATCH )

Value:
SEQAN3_VERSION_CSTRING_HELPER_STR(MAJOR) \
"." SEQAN3_VERSION_CSTRING_HELPER_STR(MINOR) "." SEQAN3_VERSION_CSTRING_HELPER_STR(PATCH)
SEQAN3_VERSION_CSTRING_HELPER_STR
#define SEQAN3_VERSION_CSTRING_HELPER_STR(str)
Converts a number to a string. Preprocessor needs this indirection to properly expand the values to s...
Definition version.hpp:30

Converts version numbers to string.

## SEQAN3_VERSION_CSTRING_HELPER_STR

#define SEQAN3_VERSION_CSTRING_HELPER_STR | ( |  | str | ) |

Value:
#str

Converts a number to a string. Preprocessor needs this indirection to properly expand the values to strings.

Hide me